D-Bus 1.12.4

Data Fields
DBusMessageFilter Struct Reference
D-Bus secret internal implementation details » DBusConnection implementation details

Internal struct representing a message filter function. More...

## Data Fields
DBusAtomic | refcount
| Reference count.
DBusHandleMessageFunction | function
| Function to call to filter.
void * | user_data
| User data for the function.
DBusFreeFunction | free_user_data_function
| Function to free the user data.

## Detailed Description

Internal struct representing a message filter function.

Definition at line 228 of file dbus-connection.c.

## Field Documentation

## ◆ free_user_data_function

DBusFreeFunction DBusMessageFilter::free_user_data_function

Function to free the user data.

Definition at line 233 of file dbus-connection.c.

Referenced by dbus_connection_add_filter(), and dbus_connection_remove_filter().

## ◆ function

DBusHandleMessageFunction DBusMessageFilter::function

Function to call to filter.

Definition at line 231 of file dbus-connection.c.

Referenced by dbus_connection_add_filter(), dbus_connection_dispatch(), and dbus_connection_remove_filter().

## ◆ refcount

DBusAtomic DBusMessageFilter::refcount

Reference count.

Definition at line 230 of file dbus-connection.c.

Referenced by dbus_connection_add_filter().

## ◆ user_data

void* DBusMessageFilter::user_data

User data for the function.

Definition at line 232 of file dbus-connection.c.

Referenced by dbus_connection_add_filter(), dbus_connection_dispatch(), and dbus_connection_remove_filter().

The documentation for this struct was generated from the following file:

- dbus-connection.c